<?php

function macroBeforePost($tableName, $id){

    global $hub, $dataSet, $db;

    if(empty($_POST['IMPORT'])){
        $hub->BackLevel(2);
        $dataSet->SetParam('msgError', 'Campo IMPORT não pode ser branco.');   
        header('Location: ' . $hub->GetUrl());
    }

    $import = $_POST['IMPORT'];
/*
    $linhas = explode("\n", $import);

    

    foreach($linhas as $linha){
        //$cols = explode(':', $linha);
        $chave = substr($linha, 0, strpos($linha, ':'));
        $valor = substr($linha, strpos($linha, ':')+1);
        $imp[trim($chave)] = trim($valor);
    }
*/
    $imp = importar($import);
    
    //print_r($_POST);
    //print_r($imp);

    $vencimento = preparaData($imp['Data de validade']);

    $_POST['ProximoVencimento'] = $vencimento;
    $_POST['Conexoes'] = $imp['Máximo de conexões'];

    //se essa for a fatura mais recente, atualiza cliente
    $sql  = 'SELECT * FROM `faturas`';
    $sql .= ' WHERE Cliente = ' . $_POST['Cliente'];
    $sql .= ' ORDER BY DataCadastro DESC';
    $faturas = $db->LoadObjects($sql);

    if($id <= 0 || $faturas[0]->ID == $id){
        $post = new nbrTablePost();
        $post->table = 'clientes';
        $post->id = $_POST['Cliente'];
        $post->AddFieldDateTime('ProximoVencimento', $vencimento);
        $post->AddFieldString('login', $imp['Usuário']);
        $post->AddFieldString('senha', $imp['Senha']);
        $post->AddFieldInteger('Conexoes', $imp['Máximo de conexões']);

        $post->AddFieldBoolean('Testando', ($_POST['Situacao'] == 'TS'));            

        $post->Execute();   
    }
}
